Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228586 - CVE-2007-0451 Spamassassin DoS
Summary: CVE-2007-0451 Spamassassin DoS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: spamassassin
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard: reported=20070213,source=asf,public=2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-13 21:29 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0074
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-21 18:44:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0074 normal SHIPPED_LIVE Important: spamassassin security update 2007-02-21 18:44:50 UTC

Description Mark J. Cox 2007-02-13 21:29:22 UTC
There is a DoS in apparantly all versions of spamassassin prior to
3.1.8 (which is not released yet).  A carefully crafted message can 
cause SpamAssassin to consume significant resources which could lead
to a DoS if an attacker sends many such messages:

http://issues.apache.org/SpamAssassin/show_bug.cgi?id=5318

Also affects RHEL4.

Patch here:
http://svn.apache.org/viewvc?view=rev&revision=507102

Comment 3 Josh Bressers 2007-02-14 03:58:22 UTC
I presume this flaw affects RHEL3 as well.  Is the plan to upgrade to
spamassassin 3.1.8, or to backport this fix?

Comment 5 Warren Togami 2007-02-14 22:04:48 UTC
It appears we lucked out.  RHEL3 is not effected in such a dangerous way.  Just
a slight delay, and no huge CPU or memory usage.  I suspect we need not touch it
for this CVE.  Will do further verification.

Upstream is releasing 3.1.8 today, and I am pushing it to Fedora now.

Comment 7 Josh Bressers 2007-02-21 17:38:52 UTC
Lifting Embargo

Comment 8 Red Hat Bugzilla 2007-02-21 18:44:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0074.html



Note You need to log in before you can comment on or make changes to this bug.